SentenceSampleStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.sentdetect

## Class SentenceSampleStream

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<String,SentenceSample>
  - - opennlp.tools.sentdetect.SentenceSampleStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<SentenceSample>

      public class SentenceSampleStream
      extends FilterObjectStream<String,SentenceSample>

  This class is a stream filter which reads a sentence by line samples from a `Reader` and converts them into `SentenceSample` objects. An empty line indicates the begin of a new document.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SentenceSampleStream(ObjectStream<String> sentences)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SentenceSample` | `read()` Returns the next object.
    `static String` | `replaceNewLineEscapeTags(String s)`

    - ### Methods inherited from class opennlp.tools.util.FilterObjectStream

      `close, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SentenceSampleStream

          public SentenceSampleStream(ObjectStream<String> sentences)

  - ### Method Detail

    - #### replaceNewLineEscapeTags

          public static String replaceNewLineEscapeTags(String s)

    - #### read

          public SentenceSample read()
                              throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

Copyright © 2026 The Apache Software Foundation. All rights reserved.